#!/usr/bin/perl -w
# 複数の infile を mafft で自動的にアライメントを行う． 
# BeforeAlignment_fol にアライメントのファイルを入れておく．


use strict;
use warnings;

my $infileFolName = "BeforeAlignment_fol";
my $outfileFolName = "AfterAlignment_fol";

my $job =  '';
my @files = ();

# Output folder is made.
if (-d "$outfileFolName") {
system ("rm -r $outfileFolName");
}
if (!-d "$outfileFolName") {
mkdir("$outfileFolName", 0755);
}

# BeforeAlignment_fol にあるファイルをリストアップする．
opendir (DIR,$infileFolName) || die "cannot open :$!\n";
@files = readdir(DIR);
close(DIR);

#foreach 関数によって，リストを一行ずつ読み込んでいる
foreach my $line (@files) {
  # ファイルのリストから，ENSG で始まるファイルだけを選ぶ
  if ($line !~ /^\./) {
    $job = $line;
    print "$job\n";
   # system 関数を用いて，通常ターミナルに入力するジョブを perl で行う． 
    system("mafft $infileFolName/$job > $outfileFolName/$job");
  }
}

print "Done all alignments\n";
exit;


